VNCONFIG(8)

NAME
vnconfig - configure vnode disks

SYNOPSIS
vnconfig [-c] [-t typename] [-v] vnode_disk regular_file [geomspec]
-u [-v] vnode_disk

DESCRIPTION
The vnconfig command configures vnode pseudo disk devices. It will associate the vnode disk vnode_disk with the regular file regular_file allowing the latter to be accessed as though it were a disk. Hence a regular file within the filesystem can be used for swapping or can contain a filesystem that is mounted in the name space. The vnode_disk is a special file of raw partition or name of vnode disk like vnd0.

Options indicate an action to be performed:

-c  Configures the device. If successful, references to vnode_disk will access the contents of regular_file. If [geomspec] is specified, the vnode device will emulate the specified disk geometry. The format of the [geomspec] argument is “secsize/nsectors/ntracks/ncylinders”. If geometry is not specified, the kernel will choose a default based on 1MB cylinders. “secsize” is the number of bytes per sector. It must be an even multiple of 512. “nsectors” is the number of sectors per track. “ntracks” is the number of tracks per cylinder. “ncylinders” is the number of cylinders in the device.

-t typename
    If configuring the device, look up typename in /etc/disktab and use the geometry specified in the entry. This option is mutually exclusive the geomspec argument.

-u  Unconfigures the device.

-v  Print messages to stdout describing actions taken.

If no action option is given, -c is assumed.

FILES
/dev/rvnd??
/dev/vnd??
/etc/disktab

EXAMPLES

    vnconfig /dev/vnd0c /tmp/diskimage
or
    vnconfig vnd0 /tmp/diskimage

Configures the vnode disk vnd0.

    vnconfig /dev/vnd0c /tmp/floppy.img 512/18/2/80

Configures the vnode disk vnd0 emulating the geometry of 512 bytes per sector, 18 sectors per track, 2 tracks per cylinder, and 80 cylinders total.

    vnconfig -t floppy /dev/vnd0c /tmp/floppy.img

Configures the vnode disk vnd0 using the geometry specified in the floppy entry in /etc/disktab.

    vnconfig -u /dev/vnd0c

Unconfigures the vnd0 device.

BUGS
This command should really be named vndconfig.

SEE ALSO
opendisk(3), vnd(4), swapctl(8), mount(8), umount(8)